Subject: Re: DIATOMACEOUS EARTH??

From: [email-masked] (Gortner)
Date: 8 Aug 1995 12:33:02 -0400

I would worry about inhaling diatomacious earth.  I use the stuff in my
aquarium filter and there is a warnint on the package.  It it very fine
and has sharp edges.  Prolonged exposure is a lung cancer risk, like
asbestos.